Edushade Docs
Event_speakers

Update speaker

PUT
/admin/speakers/{speaker_id}
AuthorizationBearer <token>

In: header

Path Parameters

speaker_idstring

The speaker id identifier

Formatuuid
avatarstring
Default"https://example.com/speakers/sarah-wilson-updated.jpg"
Formaturi
biostring
Default"Updated biography with recent achievements in AI research"
companystring
Default"Tech University"
designationstring
Default"Senior Professor of Computer Science"
emailstring
Default"sarah.wilson@university.edu"
Formatemail
expertisearray<string>
namestring
Default"Dr. Sarah Wilson"
social_linksobject
statusstring
Default"published"

Response Body

curl -X PUT "https://edushade.com/api/v1/admin/speakers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "https://example.com/speakers/sarah-wilson-updated.jpg",
    "bio": "Updated biography with recent achievements in AI research",
    "company": "Tech University",
    "designation": "Senior Professor of Computer Science",
    "email": "sarah.wilson@university.edu",
    "expertise": [
      "string"
    ],
    "name": "Dr. Sarah Wilson",
    "social_links": {
      "linkedin": "https://linkedin.com/in/sarahwilson",
      "twitter": "https://twitter.com/sarahwilson_ai",
      "website": "https://sarahwilson.ai"
    },
    "status": "published"
  }'
{}
Empty
Empty
Empty